# Uses of Interface
javax.validation.ConstraintValidatorContext

Packages that use ConstraintValidatorContext
Package
Description
javax.validation

## Uses of ConstraintValidatorContext in javax.validation

Methods in javax.validation that return ConstraintValidatorContext
Modifier and Type
Method
Description
`ConstraintValidatorContext`
ConstraintValidatorContext.ConstraintViolationBuilder.`addConstraintViolation()`
`ConstraintValidatorContext`
ConstraintValidatorContext.ConstraintViolationBuilder.LeafNodeBuilderCustomizableContext.`addConstraintViolation()`
`ConstraintValidatorContext`
ConstraintValidatorContext.ConstraintViolationBuilder.LeafNodeBuilderDefinedContext.`addConstraintViolation()`
`ConstraintValidatorContext`
ConstraintValidatorContext.ConstraintViolationBuilder.LeafNodeContextBuilder.`addConstraintViolation()`
`ConstraintValidatorContext`
ConstraintValidatorContext.ConstraintViolationBuilder.NodeBuilderCustomizableContext.`addConstraintViolation()`
`ConstraintValidatorContext`
ConstraintValidatorContext.ConstraintViolationBuilder.NodeBuilderDefinedContext.`addConstraintViolation()`
`ConstraintValidatorContext`
ConstraintValidatorContext.ConstraintViolationBuilder.NodeContextBuilder.`addConstraintViolation()`
Methods in javax.validation with parameters of type ConstraintValidatorContext
Modifier and Type
Method
Description
`boolean`
ConstraintValidator.`isValid(T value, ConstraintValidatorContext context)`